This app requires the MSP-EXP430G2 v1.5 Launchpad with the MSP430G2553 device.

Please configure the jumpers as shown below:

![msp430g2553_jumpers.jpg](images/msp430g2553_jumpers.jpg)

* Plug a USB cable into your MSP-EXP430G2 Launchpad and into your PC.

* When the app starts, it will automatically connect to the Launchpad
   * if you are running this demo from a web browser and do not have the Launchpad plugged in when the app starts, plug the board in and then hit F5 to refresh your browser and restart the auto-connect process.

* Once connected, the program for the target device will be automatically downloaded and flashed into the device memory.
* if you run into problems, try unplugging the Launchpad, plugging it back in and hitting F5 to refresh the browser.


* The Energia target source code is available [here](target/ReadLEDsAndTempJSON_2553.ino)
* The .hex executable file is available [here](target/ReadLEDsAndTempJSON_2553.hex)
* For troubleshooting help, please [click here](https://dev.ti.com/gc/designer/help/TroubleShooting/index.html)

To view this README.md file again, select Help / View README.md from the ![](images/hamburger.gif) menu.